<?php
/**
* Submit Article Redirect v1.1
*
* @author Joe Palmer
* @copyright Copyright (C) 2012 SoftForge Ltd. - http://www.softforge.co.uk
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
*/

// No direct access
defined('_JEXEC') or die;

jimport('joomla.plugin.plugin');

/**
 * Submit Article Redirect Content Plugin
 */
 
class plgContentSar extends JPlugin {

	public function onContentAfterSave($context, &$article, $isNew) {
		if(JRequest::getVar('option') == 'com_content') {
			$this->doRedirect($isNew);
		}
	}

	public function onAfterContentSave($context, $isNew) {
		if(JRequest::getVar('option') == 'com_content') {
			$this->doRedirect($isNew);
		}
	}
	
	public function doRedirect($isNew) {
		$app =& JFactory::getApplication();
		
		if ($app->isAdmin()) {
			return true;
		}
		
		jimport('joomla.html.parameter');
		$plugin =& JPluginHelper::getPlugin('content', 'sar');
		$params = new JParameter($plugin->params);
		$additem = $params->get('additem', '0');
		$addmsg = $params->get('addmsg', '');
		$edititem = $params->get('edititem', '0');
		$editmsg = $params->get('editmsg', '');
		
		if($isNew && $additem > 0) {
			$app->redirect(JRoute::_('index.php?Itemid='.$additem), $addmsg);
		}
		
		if(!$isNew && $edititem > 0) {
			$app->redirect(JRoute::_('index.php?Itemid='.$edititem), $editmsg);
		}
	}

}